Page MenuHomePhabricator

Notice: Undefined property: stdClass::$ipb_by_text in /srv/mediawiki/php-1.31.0-wmf.24/includes/specials/pagers/BlockListPager.php
Closed, ResolvedPublic

Description

Noticed this when I was rolling out 1.31.0-wmf.24. Not very noisy, but spikes occasionally.

#0 /srv/mediawiki/php-1.31.0-wmf.24/includes/specials/pagers/BlockListPager.php(171): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.31.0-wmf.24/includes/pager/TablePager.php(192): BlockListPager->formatValue(string, NULL)
#2 /srv/mediawiki/php-1.31.0-wmf.24/includes/pager/IndexPager.php(445): TablePager->formatRow(stdClass)
#3 /srv/mediawiki/php-1.31.0-wmf.24/includes/pager/TablePager.php(101): IndexPager->getBody()
#4 /srv/mediawiki/php-1.31.0-wmf.24/includes/specials/SpecialBlockList.php(195): TablePager->getFullOutput()
#5 /srv/mediawiki/php-1.31.0-wmf.24/includes/specials/SpecialBlockList.php(115): SpecialBlockList->showList(BlockListPager)
#6 /srv/mediawiki/php-1.31.0-wmf.24/includes/specialpage/SpecialPage.php(522): SpecialBlockList->execute(NULL)
#7 /srv/mediawiki/php-1.31.0-wmf.24/includes/specialpage/SpecialPageFactory.php(579): SpecialPage->run(NULL)
#8 /srv/mediawiki/php-1.31.0-wmf.24/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#9 /srv/mediawiki/php-1.31.0-wmf.24/includes/MediaWiki.php(861): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.31.0-wmf.24/includes/MediaWiki.php(524): MediaWiki->main()
#11 /srv/mediawiki/php-1.31.0-wmf.24/index.php(42): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2018, 9:31 PM

Change 417450 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Typo fix

https://gerrit.wikimedia.org/r/417450

Change 417451 had a related patch set uploaded (by Reedy; owner: Anomie):
[mediawiki/core@wmf/1.31.0-wmf.24] Typo fix

https://gerrit.wikimedia.org/r/417451

Change 417450 merged by jenkins-bot:
[mediawiki/core@master] Typo fix

https://gerrit.wikimedia.org/r/417450

Change 417451 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.24] Typo fix

https://gerrit.wikimedia.org/r/417451

Mentioned in SAL (#wikimedia-operations) [2018-03-08T22:16:47Z] <reedy@tin> Synchronized php-1.31.0-wmf.24/includes/specials/pagers/BlockListPager.php: T189251 (duration: 00m 59s)

Can this be resolved now, or is it still happening despite the above patches?

Reedy closed this task as Resolved.Mar 12 2018, 2:49 PM
Reedy assigned this task to Anomie.